using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UIFun.StringProcessor
{
	public class ResetProcessor
	{
		static readonly char[] key = new char[7] { '<', 'r', 'e' ,'s', 'e', 't', '>' };
		//static readonly char[] endkey = new char[4] { '<', '/', 'i', '>' };

		static CultureInfo CompairsonCulture = new CultureInfo("en-US");


		internal static bool TryReadTag(char[] Buffer, int start, int max, out int indexincrease)
		{

			indexincrease = 0;

			if (start + 7 > max)
			{
				return false;
			}
			int i = 0;
			bool matchstart = true;

			for (; i < 7; i++)
			{
				if (Buffer[start + i] != key[i])
				{
					matchstart = false;
				}

			}
			if (matchstart)
			{
				indexincrease += 6;
				return true;
			}
			return false;
		}
	}
}
